<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.vote.system.mapper.VoteScoringItemMapper">

    <resultMap id="BaseResultMap" type="com.vote.system.domain.VoteScoringItem">
        <id property="id" column="id" jdbcType="BIGINT"/>
        <result property="scoring" column="standard" jdbcType="VARCHAR"/>
        <result property="score" column="score" jdbcType="FLOAT"/>
        <result property="standard" column="standard" jdbcType="VARCHAR"/>
        <result property="createTime" column="create_time" jdbcType="TIMESTAMP"/>
        <result property="updateTime" column="update_time" jdbcType="TIMESTAMP"/>
        <result property="ruleId" column="rule_id" jdbcType="INTEGER"/>
    </resultMap>

    <sql id="Base_Column_List">
        id
        ,score,standard,
        create_time,update_time,rule_id
    </sql>
</mapper>
